/*

This code is copyright 2004-2012 by Michael Kohn
You may not use any of this program in your own programs
without permission from Michael Kohn <mike@mikekohn.net>

http://www.mikekohn.net/

*/

#ifndef AVI_H
#define AVI_H

struct avi_header_t
{
  int time_delay;
  int data_rate;
  int reserved;
  int flags;
  int number_of_frames;
  int initial_frames;
  int data_streams;
  int buffer_size;
  int width;
  int height;
  int time_scale;
  int playback_data_rate;
  int starting_time;
  int data_length;
};

struct stream_header_t
{
  char data_type[5];
  char codec[5];
  int flags;
  int priority;
  int initial_frames;
  int time_scale;
  int data_rate;
  int start_time;
  int data_length;
  int buffer_size;
  int quality;
  int sample_size;
};

struct stream_format_t
{
  int header_size;
  int width;
  int height;
  short int num_planes;
  short int bits_per_pixel;
  int compression_type;
  int image_size;
  int x_pels_per_meter;
  int y_pels_per_meter;
  int colors_used;  
  int colors_important;  
  int *palette;
  int palette_count;
};

struct avi_index_t
{
  int id;
  int flags;
  int offset;
  int length;
};

#endif

